const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v0_5 = z.x;
    esi_global_2d_to_2d_local = arg1[48] # esi;
    fabs(z.z);
    fabs(z.y);
    fabs(z.x);
    v1_1b = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    z.x = z.x & -0x10000 | v1_1b & -0xff01 | v1_1b / 2 & 0x7f00;
    if v1_1b & 256 != 0:;
        pass;
    v1_25 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+25;
    z.x = z.x & -0x10000 | v1_25 & -0xff01 | v1_25 / 2 & 0x7f00;
    v1_31 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+31;
    z.x = z.x & -0x10000 | v1_31 & -0xff01 | v1_31 / 2 & 0x7f00;
    v4_9f = *((esi_global_2d_to_2d_local - 16));
    st7_global_2d_to_2d_local = v4_9f # st7;
    v3_a2 = z.z + 8;
    *v3_a2 = v4_9f * *v3_a2;
    v4_aa = st7_global_2d_to_2d_local * st7_global_2d_to_2d_local;
    v4_ac = v4_aa * v4_aa;
    v4_b2 = v4_ac - 1.0;
    v4_c0 = v4_ac - v4_b2 * *((esi_global_2d_to_2d_local - 24)) - v4_b2 * *((esi_global_2d_to_2d_local - 32));
    fabsl(v4_c0 - v4_b2 / v4_c0 * *((esi_global_2d_to_2d_local - 40)));
    v4_cd = 0.0;
    v4_cf = v4_cd * v4_cd;
    st7_global_2d_to_2d_local = v4_cf;
    *z.y = v4_cf;
    *v0_5 = st7_global_2d_to_2d_local;
    *z.z = st7_global_2d_to_2d_local;
    z.x = v0_5;
    return v0_5;


	}